Bug 1036027 - Save daemon log to file
Summary: Save daemon log to file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: docker-io
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-29 08:44 UTC by Marek Goldmann
Modified: 2014-07-01 22:59 UTC (History)
6 users (show)

Fixed In Version: docker-io-0.7.0-14.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-03 01:19:40 UTC


Attachments (Terms of Use)
Patch that fixes this issue (1.56 KB, patch)
2013-11-29 08:44 UTC, Marek Goldmann
no flags Details | Diff

Description Marek Goldmann 2013-11-29 08:44:37 UTC
Created attachment 830533 [details]
Patch that fixes this issue

Description of problem:

Currently we do not save the output from the docker daemon anywhere, let's redirect it to /var/log/docker. Every next run will append to the file.

A patch attached, created against master.

Comment 1 Marek Goldmann 2013-11-29 08:57:32 UTC
I forgot to add that this applies to the init.d service, which is used in EPEL. Fedora is not affected by this commit.

Comment 2 Fedora Update System 2013-12-01 19:33:00 UTC
docker-io-0.7.0-12.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-12.fc20

Comment 3 Fedora Update System 2013-12-02 02:44:52 UTC
docker-io-0.7.0-12.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-12.fc19

Comment 4 Fedora Update System 2013-12-02 04:58:50 UTC
docker-io-0.7.0-12.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-12.el6

Comment 5 Fedora Update System 2013-12-02 15:59:23 UTC
docker-io-0.7.0-14.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-14.fc20

Comment 6 Fedora Update System 2013-12-02 16:16:30 UTC
docker-io-0.7.0-14.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-14.fc19

Comment 7 Fedora Update System 2013-12-02 16:27:39 UTC
docker-io-0.7.0-14.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.7.0-14.el6

Comment 8 Fedora Update System 2013-12-02 23:54:14 UTC
Package docker-io-0.7.0-14.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing docker-io-0.7.0-14.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22580/docker-io-0.7.0-14.fc20
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-12-03 01:19:40 UTC
docker-io-0.7.0-14.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 lnie 2013-12-03 03:17:24 UTC
tested with docker-io-0.7.0-14.fc20,
there is still no /var/log/docker to save the daemon output

Comment 11 Lokesh Mandvekar 2013-12-03 03:38:06 UTC
(In reply to lnie from comment #10)
> tested with docker-io-0.7.0-14.fc20,
> there is still no /var/log/docker to save the daemon output

this would only be for el6 version, for fc19 and up it would be in /var/log/messages https://bugzilla.redhat.com/show_bug.cgi?id=1011790#c1

Comment 12 Marek Goldmann 2013-12-03 09:48:32 UTC
(In reply to lnie from comment #10)
> tested with docker-io-0.7.0-14.fc20,
> there is still no /var/log/docker to save the daemon output

For Fedora you need to use the systemd-way of looking at logs:

journalctl -u docker

For more information:

journalctl ---help

Comment 13 Fedora Update System 2013-12-03 10:38:04 UTC
docker-io-0.7.0-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-12-14 02:47:02 UTC
docker-io-0.7.0-14.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.